Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000803Core InformKinds and type checkingpublic2011-11-12 11:162014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000803: Compiler accepts plurals for nonexistent kinds
DescriptionSource text like the attached code is accepted despite the second line having no effect. A warning that the plural is unused (and possibly some explanatory text for this particular mistake) would hint that

- - - -
The plural of vertex is vertices.
- - - -

was meant instead.
Minimal Source Text To Reproduce
A vertex is a kind of thing.
The plural of a vertex is vertices.
There is a room.

There are 12 vertices.
Test me with "showme vertices".
Additional InformationQuite possibly a feature request instead of a bug.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001457)
jmcgrew (administrator)
2011-11-12 14:39

I'm not sure that the code is invalid, but I agree it's a compiler failure of some sort for that line to be accepted without the expected effect.
(0002421)
graham (administrator)
2014-02-01 06:35

"The plural of a vertex is vertices." is now read as if it were "The plural of vertex is vertices."

- Issue History
Date Modified Username Field Change
2011-11-12 11:16 EmacsUser New Issue
2011-11-12 11:17 EmacsUser Steps to Reproduce Updated View Revisions
2011-11-12 14:39 jmcgrew Effect (mild) Compiler accepts invalid code => (serious/mild) Game compiles but misbehaves
2011-11-12 14:39 jmcgrew Note Added: 0001457
2011-11-12 14:39 jmcgrew Steps to Reproduce Updated View Revisions
2011-11-12 14:39 jmcgrew Status new => confirmed
2014-02-01 06:35 graham Note Added: 0002421
2014-02-01 06:35 graham Status confirmed => resolved
2014-02-01 06:35 graham Resolution open => fixed
2014-02-01 06:35 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker